=== debian/changelog ===
ros-kinetic-uuv-cpc-sensor (0.3.1-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Thu, 13 Dec 2018 23:00:00 -0000

ros-kinetic-uuv-cpc-sensor (0.3.0-0xenial) xenial; urgency=high

  * UPDATE CHANGELOG files
  * Contributors: Musa Morena Marcusso Manhaes, Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Tue, 03 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-cpc-sensor (0.2.2-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Tue, 03 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-cpc-sensor (0.2.1-0xenial) xenial; urgency=high

  * ADD CHANGELOG and bump version to 0.2.1
  * Contributors: Musa Morena Marcusso Manhaes

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Tue, 03 Jul 2018 22:00:00 -0000
