=== debian/control ===
Source: ros-kinetic-uuv-cpc-sensor
Section: misc
Priority: extra
Maintainer: Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), libgeographic-dev, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf2-ros, ros-kinetic-uuv-plume-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-uuv-cpc-sensor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-uuv-plume-msgs
Description: The uuv_cpc_sensor package
